﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.TimelineView;

namespace WindowsFormsApplication245
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraTimelineView1.DrawFilter = new DF(((DateTime)ultraCalendarCombo1.Value).Day);
        }
    }

    class DF : IUIElementDrawFilter
    {
        int newDay;
        public DF(int day)
        {
            newDay = day;
        }

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            TextUIElement el = (TextUIElement)drawParams.Element;
            if (((ColumnHeaderUIElement)el.Parent).DateTimeRange.StartDateTime.Day == newDay)
            {
                Brush brush = Brushes.Red;
                drawParams.Graphics.FillRectangle(brush, drawParams.Element.Rect);
                return true;
            } return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is TextUIElement)
                return Infragistics.Win.DrawPhase.BeforeDrawBorders;
            else
                return Infragistics.Win.DrawPhase.None;
        }
    }

}
